---
// Component Imports
import Tour from '../components/Tour.astro';
// You can import components from any supported Framework here!
import SvelteCounter from '../components/SvelteCounter.svelte';

// Component Script:
// You can write any JavaScript/TypeScript that you'd like here.
// It will run during the build, but never in the browser.
// All variables are available to use in the HTML template below.
let title = 'Página Principal';

// Full Astro Component Syntax:
// https://docs.astro.build/core-concepts/astro-components/
---
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width">
	<title>{title}</title>

	<link rel="icon" type="image/x-icon" href="/favicon.ico" />
	<style global>
		@import "../styles/global.css";
		@import "../styles/home.css";
	</style>

	<style>
		header {
			display: flex;
			flex-direction: column;
			gap: 1em;
			max-width: min(100%, 125ch);
		}
	</style>
</head>
<body>
	<main>
		<header>
			<div>
				<img width="120" height="160" src="./assets/logo.svg" alt="Astro logo">
				<h1> Italo Salgado - Ingeniero Electrónico </h1>
			</div>
		</header>

		<Tour />

		<!--

		You can also use imported framework components directly in your markup!
		
		Note: by default, these components are NOT interactive on the client.
		The `:visible` directive tells Astro to make it interactive.
		
		See https://docs.astro.build/core-concepts/component-hydration/ 

		-->

		<SvelteCounter client:visible />
	</main>
</body>
</html>
